properties.h File Reference
Include dependency graph for properties.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | pw_properties
| A collection of key/value pairs. More...

## Functions

struct pw_properties * | pw_properties_new (const char *key,...) SPA_SENTINEL
struct pw_properties * | pw_properties_new_dict (const struct spa_dict *dict)
struct pw_properties * | pw_properties_new_string (const char *args)
struct pw_properties * | pw_properties_copy (const struct pw_properties *properties)
struct pw_properties * | pw_properties_merge (const struct pw_properties *oldprops, struct pw_properties *newprops)
void | pw_properties_free (struct pw_properties *properties)
int | pw_properties_set (struct pw_properties *properties, const char *key, const char *value)
int | pw_properties_setf (struct pw_properties *properties, const char *key, const char *format,...) SPA_PRINTF_FUNC(3
int const char * | pw_properties_get (const struct pw_properties *properties, const char *key)
const char * | pw_properties_iterate (const struct pw_properties *properties, void **state)

## Function Documentation

## pw_properties_copy()

struct pw_properties* pw_properties_copy | ( | const struct pw_properties * | properties | ) |

Referenced by pw_properties::pw_properties_merge().

## pw_properties_free()

void pw_properties_free | ( | struct pw_properties * | properties | ) |

Referenced by pw_core::pw_core_destroy(), pw_factory_destroy(), pw_global::pw_global_destroy(), pw_remote_destroy(), and pw_remote_new().

## pw_properties_get()

int const char* pw_properties_get | ( | const struct pw_properties * | properties,
|  | const char * | key
| ) |  |

Referenced by pw_client::pw_client_update_properties(), pw_core::pw_core_new(), pw_pipewire::pw_fill_remote_properties(), pw_port_add(), pw_properties::pw_properties_merge(), pw_remote_new(), and pw_stream_new().

## pw_properties_iterate()

const char* pw_properties_iterate | ( | const struct pw_properties * | properties,
|  | void ** | state
| ) |  |

Referenced by pw_properties::pw_properties_merge().

## pw_properties_merge()

struct pw_properties* pw_properties_merge | ( | const struct pw_properties * | oldprops,
|  | struct pw_properties * | newprops
| ) |  |

## pw_properties_new()

struct pw_properties* pw_properties_new | ( | const char * | key,
|  |  | ...
| ) |  |

Referenced by pw_client::pw_client_new(), pw_core::pw_core_new(), pw_factory_register(), pw_link_register(), pw_node_new(), pw_node_register(), pw_port_new(), pw_properties::pw_properties_copy(), pw_remote_new(), and pw_stream_new().

## pw_properties_new_dict()

struct pw_properties* pw_properties_new_dict | ( | const struct spa_dict * | dict | ) |

## pw_properties_new_string()

struct pw_properties* pw_properties_new_string | ( | const char * | args | ) |

## pw_properties_set()

int pw_properties_set | ( | struct pw_properties * | properties,
|  | const char * | key,
|  | const char * | value
| ) |  |

Referenced by pw_client::pw_client_update_properties(), pw_core::pw_core_update_properties(), pw_factory_register(), pw_pipewire::pw_fill_remote_properties(), pw_node_update_properties(), pw_port_add(), pw_port_update_properties(), pw_properties::pw_properties_merge(), and pw_stream_new().

## pw_properties_setf()

int pw_properties_setf | ( | struct pw_properties * | properties,
|  | const char * | key,
|  | const char * | format,
|  |  | ...
| ) |  |

Referenced by pw_core::pw_core_new(), pw_factory_register(), pw_pipewire::pw_fill_remote_properties(), pw_link_register(), and pw_port_add().